<?php
if(isset($_GET['mytreefarm']) && isset($_GET['money']) && intval($_GET['money'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_treeground` WHERE `id` = '".intval($_GET['money'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0'"),0)!=0)
{
$petground=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_treeground` WHERE `id` = '".intval($_GET['money'])."' AND `id_user` = '$ku[id]'"),0);
$pet=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_tree` WHERE `id` = '$petground[id_pet]'"));
$d_money=floor($petground['time_money2']/(4*3600));
if($d_money>0)
{
$nt=$petground['time_money2']-($d_money*14400);
$count=1;
$count_conveyor_act=0;
$count_vet_act=0;
if(isset($conveyor_act))$count_conveyor_act=($count/100)*$conveyor_act2;
if(isset($vet_act))$count_vet_act=($count/100)*$ydob_ps_m;
$count=$count_conveyor_act+$count_vet_act+$count;

$money=($count*$pet['money'])*$d_money;
mysql_query("UPDATE `$db_base`.`kolhoz_treeground` SET `time_money` = '$time', `time_money2` = '$nt' WHERE `id` = '$petground[id]' LIMIT 1");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `money` = '".($ku['money']+$money)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `umoney` = '$money' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($money/100)*$mc['nalog']);
mysql_query("UPDATE `$db_base`.`kolhoz_user` SET `money` = '".($ku['money']+$money-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `$db_base`.`kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
mysql_query("INSERT INTO `$db_base`.`kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
}
}
header("Location:?mytreefarm&".passgen());
exit;
}
?>